| Flutter Windows Embedder |

Public Member Functions | Static Public Member Functions | List of all members
flutter::PluginRegistrarManager Class Reference

`#include <plugin_registrar.h>`

## Public Member Functions
| PluginRegistrarManager (PluginRegistrarManager const &)=delete
PluginRegistrarManager & | operator= (PluginRegistrarManager const &)=delete
template<class T >
T * | GetRegistrar (FlutterDesktopPluginRegistrarRef registrar_ref)
void | Reset ()

## Static Public Member Functions
static PluginRegistrarManager * | GetInstance ()

## Detailed Description

Definition at line 86 of file plugin_registrar.h.

## Constructor & Destructor Documentation

## ◆ PluginRegistrarManager()

flutter::PluginRegistrarManager::PluginRegistrarManager | ( | PluginRegistrarManager const & |  | ) |
| delete

## Member Function Documentation

## ◆ GetInstance()

PluginRegistrarManager * flutter::PluginRegistrarManager::GetInstance | ( |  | ) |
| static

Definition at line 49 of file plugin_registrar.cc.

49 {
50 static PluginRegistrarManager* instance = new PluginRegistrarManager();
51 return instance;
52 }
flutter::PluginRegistrarManager::PluginRegistrarManager
PluginRegistrarManager(PluginRegistrarManager const &)=delete

Referenced by flutter::TEST().

## ◆ GetRegistrar()

template<class T >

T* flutter::PluginRegistrarManager::GetRegistrar | ( | FlutterDesktopPluginRegistrarRef | registrar_ref | ) |
| inline

Definition at line 102 of file plugin_registrar.h.

102 {
103 auto insert_result =
104 registrars_.emplace(registrar_ref, std::make_unique<T>(registrar_ref));
105 auto& registrar_pair = *(insert_result.first);
106 FlutterDesktopPluginRegistrarSetDestructionHandler(registrar_pair.first,
107 OnRegistrarDestroyed);
108 return static_cast<T*>(registrar_pair.second.get());
109 }
FlutterDesktopPluginRegistrarSetDestructionHandler
void FlutterDesktopPluginRegistrarSetDestructionHandler(FlutterDesktopPluginRegistrarRef registrar, FlutterDesktopOnPluginRegistrarDestroyed callback)
Definition: flutter_windows.cc:349

References FlutterDesktopPluginRegistrarSetDestructionHandler().

Referenced by flutter::TEST().

## ◆ operator=()

PluginRegistrarManager& flutter::PluginRegistrarManager::operator= | ( | PluginRegistrarManager const & |  | ) |
| delete

## ◆ Reset()

void flutter::PluginRegistrarManager::Reset | ( |  | ) |
| inline

Definition at line 114 of file plugin_registrar.h.

114 { registrars_.clear(); }

Referenced by flutter::TEST().

The documentation for this class was generated from the following files:

- shell/platform/common/client_wrapper/include/flutter/plugin_registrar.h
- shell/platform/common/client_wrapper/plugin_registrar.cc